Posts
Get Scheduled Posts
Get a list of scheduled posts for an account.
https://v1.apifansly.com/api/fansly
GET
/{account_id}/posts/scheduled
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
account_id*
stringThe unique identifier for the connected account.
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled"
headers = {"x-api-key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
fmt.Println(resp.Status)
}Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"scheduledPosts": [
{
"postId": "post_id",
"accountId": "account_id",
"status": 1,
"postTemplate": "{\"accountId\":\"account_id\",\"content\":\"Sample post content...\",\"fypFlags\":4,\"inReplyTo\":null,\"quotedPostId\":null,\"replyPermissionFlags\":0,\"postReplyPermissionFlags\":[],\"expiresAt\":0,\"attachments\":[{\"contentType\":2,\"contentId\":\"media_id\",\"pos\":0,\"postId\":\"post_id\"}],\"wallIds\":[],\"pinWallIds\":[],\"pinned\":0,\"id\":\"post_id\"}",
"scheduledFor": 1779801881000
}
],
"aggregationData": {
"posts": null,
"aggregatedPosts": [],
"accountMediaBundles": [
{
"id": "media_id",
"accountId": "account_id",
"///....": ""
}
],
"tips": [],
"tipGoals": [],
"stories": [],
"polls": []
}
}
}
},
"timestamp": "2026-05-25T13:44:28.859Z"
}